diff --git configure.ac configure.ac
index 5970a32..1cd97a8 100644
--- configure.ac
+++ configure.ac
@@ -224,31 +224,6 @@ if test "$native_win32" = "yes"; then
   fi
 fi
 
-dnl ================================================================
-dnl Check for GDK Quartz and MacOSX integration package 
-dnl ================================================================
-_gdk_tgt=`$PKG_CONFIG --variable=target gdk-2.0`
-AM_CONDITIONAL([GDK_TARGET_QUARTZ], [test x$_gdk_tgt = xquartz])
-if test "x$_gdk_tgt" = xquartz; then 
-   PKG_CHECK_MODULES(IGE_MAC, ige-mac-integration)
-
-   IGE_MAC_BUNDLE_FLAG=
-
-   AC_ARG_ENABLE(mac-bundle,
-      AS_HELP_STRING([--enable-mac-bundle], [enable mac bundling]),
-      build_bundle=yes, build_bundle=no)
-
-   if test "x$build_bundle" = xyes; then
-      AC_MSG_NOTICE([enableing mac bundle..])
-
-      IGE_MAC_BUNDLE_FLAG=-DMAC_BUNDLE
-   fi      
-
-   AC_SUBST(IGE_MAC_BUNDLE_FLAG)
-   AC_SUBST(IGE_MAC_LIBS)
-   AC_SUBST(IGE_MAC_CFLAGS)
-fi
-
 AC_SUBST([AM_CPPFLAGS])
 AC_SUBST([AM_CFLAGS])
 AC_SUBST([AM_CXXFLAGS])
diff --git gladeui/Makefile.am gladeui/Makefile.am
index c2ef6e4..90e928f 100644
--- gladeui/Makefile.am
+++ gladeui/Makefile.am
@@ -67,8 +67,6 @@ libgladeui_1_la_CPPFLAGS =  \
 	-I$(top_srcdir)     \
 	-I$(top_builddir)   \
 	$(GTK_CFLAGS)       \
-	$(IGE_MAC_BUNDLE_FLAG) \
-	$(IGE_MAC_CFLAGS)  \
 	$(WARN_CFLAGS)      \
 	$(AM_CPPFLAGS)
 
@@ -76,7 +74,7 @@ libgladeui_1_la_CFLAGS =    \
 	$(AM_CFLAGS)
 
 libgladeui_1_la_LDFLAGS = -version-info $(GLADE_CURRENT):$(GLADE_REVISION):$(GLADE_AGE) $(AM_LDFLAGS)
-libgladeui_1_la_LIBADD = $(GTK_LIBS) $(IGE_MAC_LIBS)
+libgladeui_1_la_LIBADD = $(GTK_LIBS)
 
 
 libgladeuiincludedir=$(includedir)/libgladeui-1.0/gladeui
diff --git gladeui/glade-app.c gladeui/glade-app.c
index 88cdd48..0bff5da 100644
--- gladeui/glade-app.c
+++ gladeui/glade-app.c
@@ -48,10 +48,6 @@
 #include <gdk/gdkkeysyms.h>
 #include <gtk/gtk.h>
 
-#ifdef MAC_INTEGRATION
-#  include <ige-mac-integration.h>
-#endif
-
 #define GLADE_CONFIG_FILENAME "glade-3.conf"
 
 #define GLADE_APP_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GLADE_TYPE_APP, GladeAppPrivate))
@@ -373,18 +369,11 @@ glade_app_get_bin_dir (void)
 static void
 build_package_paths (void)
 {
-#if defined (G_OS_WIN32) || (defined (MAC_INTEGRATION) && defined (MAC_BUNDLE))
+#if defined (G_OS_WIN32)
 	gchar *prefix;
 
-# ifdef G_OS_WIN32
 	prefix = g_win32_get_package_installation_directory_of_module (NULL);
 
-# else // defined (MAC_INTEGRATION) && defined (MAC_BUNDLE)
-	IgeMacBundle *bundle = ige_mac_bundle_get_default ();
-
-	prefix = g_build_filename (ige_mac_bundle_get_path (bundle), "Contents", "Resources", NULL);
-# endif 
-
 	pixmaps_dir  = g_build_filename (prefix, "share", PACKAGE, "pixmaps", NULL);
 	catalogs_dir = g_build_filename (prefix, "share", PACKAGE, "catalogs", NULL);
 	modules_dir  = g_build_filename (prefix, "lib", PACKAGE, "modules", NULL);
diff --git gladeui/glade-popup.c gladeui/glade-popup.c
index 5c8679f..d028951 100644
--- gladeui/glade-popup.c
+++ gladeui/glade-popup.c
@@ -838,10 +838,6 @@ glade_popup_is_popup_event (GdkEventButton *event)
 {
 	g_return_val_if_fail (event, FALSE);
 
-#ifdef MAC_INTEGRATION
-	return (event->type == GDK_BUTTON_PRESS && event->button == 1 && ((event->state & GDK_MOD1_MASK) != 0));
-#else
 	return (event->type == GDK_BUTTON_PRESS && event->button == 3);
-#endif
 }
 
diff --git src/Makefile.am src/Makefile.am
index 4ec720a..2c4f86c 100644
--- src/Makefile.am
+++ src/Makefile.am
@@ -7,7 +7,6 @@ glade_3_CPPFLAGS = \
 	-I$(top_builddir)  \
 	-DGLADE_GNOMEHELPDIR="\"$(HELP_DIR)\"" \
 	$(GTK_CFLAGS)      \
-	$(IGE_MAC_CFLAGS)  \
 	$(WARN_CFLAGS)     \
 	$(AM_CPPFLAGS)
 
@@ -16,7 +15,7 @@ glade_3_CFLAGS =           \
 
 glade_3_LDFLAGS = $(AM_LDFLAGS)
 
-glade_3_LDADD = $(top_builddir)/gladeui/libgladeui-1.la $(IGE_MAC_LIBS)
+glade_3_LDADD = $(top_builddir)/gladeui/libgladeui-1.la
 
 glade_3_SOURCES = \
 	glade-window.c \
diff --git src/glade-window.c src/glade-window.c
index b21dba7..6d43671 100644
--- src/glade-window.c
+++ src/glade-window.c
@@ -41,10 +41,6 @@
 #include <gdk/gdkkeysyms.h>
 #include <gtk/gtk.h>
 
-#ifdef MAC_INTEGRATION
-#  include <ige-mac-integration.h>
-#endif
-
 
 #define ACTION_GROUP_STATIC             "GladeStatic"
 #define ACTION_GROUP_PROJECT            "GladeProject"
@@ -3366,18 +3362,6 @@ glade_window_init (GladeWindow *window)
 
 	glade_window_config_load (window);
 
-#ifdef MAC_INTEGRATION
-	{
-		/* Fix up the menubar for MacOSX Quartz builds */
-		gtk_widget_hide (menubar);
-		ige_mac_menu_set_menu_bar (GTK_MENU_SHELL (menubar));
-		
-		widget = gtk_ui_manager_get_widget (window->priv->ui, "/MenuBar/FileMenu/Quit");
-		ige_mac_menu_set_quit_menu_item (GTK_MENU_ITEM (widget));
-	}
-#endif
-
-
 }
 
 static void