Index: files/patch-Makefile.diff
===================================================================
--- files/patch-Makefile.diff	(revision 87089)
+++ files/patch-Makefile.diff	(working copy)
@@ -1,5 +1,5 @@
---- Makefile.orig	2011-02-02 03:28:31.000000000 -0600
-+++ Makefile	2011-11-09 20:41:11.000000000 -0600
+--- Makefile.orig	2011-11-04 06:09:46.000000000 -0500
++++ Makefile	2011-11-10 00:11:10.000000000 -0600
 @@ -51,13 +51,8 @@
  ifeq ($(OS),GNU/kFreeBSD)
  OS = Linux
@@ -8,19 +8,19 @@
 -PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
 -USR = /opt/local
 -else
- PLUGINDIR=`gimptool-2.0 --gimpplugindir`/plug-ins
+ PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
  USR = /usr
 -endif
  ifeq ($(OS),MINGW32_NT-5.1)
  EXE = .exe
  endif
-@@ -96,12 +91,12 @@
+@@ -107,12 +102,12 @@
  
  # Flags to enable image display, using X11
  # (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
--X11_CFLAGS = -Dcimg_display=1 -Dcimg_display_classname=\\\"G\'MIC\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
+-X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
 -X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr
-+X11_CFLAGS = -Dcimg_display=1 -Dcimg_display_classname=\\\"G\'MIC\\\" -I$(USR)/include #-Dcimg_use_xrandr
++X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I$(USR)/include #-Dcimg_use_xrandr
 +X11_LDFLAGS = -L$(USR)/lib -lX11 -lpthread #-lXrandr
  
  # Flags to enable fast display, using XShm.
@@ -29,14 +29,14 @@
 +XSHM_LDFLAGS = -L$(USR)/lib -lXext
  
  # Flags to enable image display, using GDI32.
- GDI32_CFLAGS = -Dcimg_display=2
-@@ -324,8 +319,7 @@
+ GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
+@@ -352,8 +347,7 @@
+ 	mkdir -p $(DESTDIR)$(USR)/share/man/fr/man1/
  	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/man1/gmic.1.gz
  	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/fr/man1/gmic.1.gz
- 	mkdir -p $(DESTDIR)$(USR)/share/doc/gmic/html/img/
 -	if test -d /etc/bash_completion.d/; then mkdir -p $(DESTDIR)/etc/bash_completion.d/; cp -f gmic_bashcompletion.sh $(DESTDIR)/etc/bash_completion.d/gmic; fi
 -	if test -d /opt/local/etc/bash_completion.d/; then mkdir -p $(DESTDIR)/opt/local/etc/bash_completion.d/; cp -f gmic_bashcompletion.sh $(DESTDIR)/opt/local/etc/bash_completion.d/gmic; fi
-+	mkdir -p $(DESTDIR)$(USR)/etc/bash_completion.d/; cp -f gmic_bashcompletion.sh $(DESTDIR)$(USR)/etc/bash_completion.d/gmic
- 	for pixmap in ../html/*.*; do \
- 	  if test -f $$pixmap; then \
- 	    cp -f  $$pixmap  $(DESTDIR)$(USR)/share/doc/gmic/html/; \
++	mkdir -p $(DESTDIR)$(USR)/etc/bash_completion.d/; cp -f gmic_bashcompletion.sh $(DESTDIR)/opt/local/etc/bash_completion.d/gmic
+ 
+ uninstall:
+ 	rm -f $(DESTDIR)$(USR)/bin/gmic
Index: Portfile
===================================================================
--- Portfile	(revision 87089)
+++ Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                gmic
-version             1.4.8.0
+version             1.5.0.6
 license             CeCILL
 categories          science
 platforms           darwin
@@ -23,14 +23,14 @@
                     different platforms (Windows, Unix, Mac OS X).
 
 homepage            http://gmic.sourceforge.net/
-master_sites        sourceforge:project/gmic/old
+master_sites        sourceforge:project/gmic
 
 distfiles           ${name}_${version}${extract.suffix}
 
 worksrcdir          ${worksrcdir}/src
 
-checksums           rmd160  f545c18c1a4ec2de982e9cffc5426abbbfd07221 \
-                    sha256  0dc6fc61093380479288db7e9cb29dc11d19d017a9ed81c7bf382acc74bab91d
+checksums           rmd160  dc994f0abb6110ee4aa98e0beb8ac1da49f1d716 \
+                    sha256  6eb4370242637854f806bb8fb9b69781e2f75d066e795cad8b450b9ce5154c68
 
 depends_lib         port:opencv \
                     path:lib/libavcodec.dylib:ffmpeg \
@@ -52,6 +52,9 @@
 # opencv is not universal
 universal_variant   no
 
+# build uses far more memory per job than MacPorts expects
+use_parallel_build  no
+
 build.args          CC="${configure.cxx} [get_canonical_archflags]" \
                     IS_GCC=yes \
                     USR=${prefix}