--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/root/Portfile	2011-10-31 16:30:23.000000000 +0000
+++ Projects/MacPorts/portfiles/science/root/Portfile	2011-12-04 18:39:38.000000000 +0000
@@ -4,12 +4,12 @@
 PortSystem          1.0
 
 name                root
-version             5.30.03
+version             5.32.00
 revision            0
 categories          science
 maintainers         gmail.com:mattiafrancescomoro hep.phy.cam.ac.uk:jonesc
 license             LGPL-2.1+
-description         Root cern data analysis framework
+description         ROOT is a data analysis framework from CERN
 long_description    The ROOT system provides a set of frameworks with all \
                     the functionality needed to handle and analyze large amounts \
                     of data in a very efficient way
@@ -19,8 +19,8 @@
 master_sites        http://root.cern.ch/download/ \
                     ftp://root.cern.ch/root/
 
-checksums           sha1    d2cd2855905a7f2f63366e0fc38f15a49881b792 \
-                    rmd160  b85ad6f248d94755aa9ce6a872ea6ce4d90d8373
+checksums           sha1    b7375d53dd845505196d12a7d66c3b2d8e1b0336 \
+                    rmd160  e8b0c9b4e60334fb9f01b4cf70cdaed518c62bae
 
 worksrcdir          root
 
@@ -40,6 +40,10 @@
 
 patchfiles          patch-configure.diff
 
+if {${configure.compiler} == "clang"} {
+    configure.compiler llvm-gcc-4.2
+}
+
 post-patch {
     reinplace "s|-lfreetype| \`freetype-config --libs\`|g" ${worksrcpath}/config/root-config.in
     reinplace "s|\"/usr/include\"|\"${prefix}/include/\" \"/usr/include\"|g" ${worksrcpath}/configure
@@ -108,7 +112,7 @@
 
 universal_variant   no
 
-default_variants    +ssl +xml +opengl +gsl +minuit2 +tmva +roofit
+default_variants    +ssl +xml +gsl +minuit2 +tmva +roofit
 
 variant fftw3 description {Builds port with fftw3 support} {
     configure.args-delete   --disable-fftw3
@@ -156,12 +160,12 @@
     depends_lib-append      port:openldap
 }
 
-variant roofit description { Build the libRooFit advanced fitting package} {
+variant roofit description {Build the libRooFit advanced fitting package} {
     configure.args-delete   --disable-roofit
     configure.args-append   --enable-roofit
 }
 
-variant tmva description { Build the TMVA package} {
+variant tmva description {Build the TMVA package} {
     configure.args-delete   --disable-tmva
     configure.args-append   --enable-tmva
 }
@@ -181,7 +185,7 @@
     depends_lib-append      port:glew port:mesa
 }
 
-variant python26 conflicts python31 python27 description {Builds port with python 2.6 support} {
+variant python26 conflicts python32 python31 python27 description {Builds port with python 2.6 support} {
     set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.6
     configure.args-delete   --disable-python
     configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
@@ -194,7 +198,7 @@
     }
 }
 
-variant python27 conflicts python31 python26 description {Builds port with python 2.7 support} {
+variant python27 conflicts python32 python31 python26 description {Builds port with python 2.7 support} {
     set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.7
     configure.args-delete   --disable-python
     configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
@@ -207,7 +211,7 @@
     }
 }
 
-variant python31 conflicts python27 python26 description {Builds port with python 3.1 support} {
+variant python31 conflicts python32 python27 python26 description {Builds port with python 3.1 support} {
     set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/3.1
     configure.args-delete   --disable-python
     configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
@@ -220,6 +224,19 @@
     }
 }
 
+variant python32 conflicts python31 python27 python26 description {Builds port with python 3.2 support} {
+    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/3.2
+    configure.args-delete   --disable-python
+    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
+    depends_lib-append      port:python32
+    post-destroot {
+        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/site-packages/
+        file mkdir ${mypysitedir}
+        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
+        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
+    }
+}
+
 variant ruby description {Builds port with ruby support} {
     configure.args-delete   --disable-ruby
     configure.args-append   --enable-ruby 
@@ -314,21 +331,20 @@
     depends_lib-append      port:pythia
 }
 
-variant gcc44 conflicts gcc45 description {Compile using MacPorts gcc 4.4} {
+variant gcc44 conflicts gcc45 gcc46 description {Compile using MacPorts gcc 4.4} {
     configure.compiler      macports-gcc-4.4
     depends_lib-append      port:gcc44
 }
 
-variant gcc45 conflicts gcc44 description {Compile using MacPorts gcc 4.5} {
+variant gcc45 conflicts gcc44 gcc46 description {Compile using MacPorts gcc 4.5} {
     configure.compiler      macports-gcc-4.5
     depends_lib-append      port:gcc45
 }
 
-# Build issues
-#variant gcc46 conflicts gcc44 gcc45 description {Compile using MacPorts gcc 4.6} {
-#    configure.compiler      macports-gcc-4.6
-#    depends_lib-append      port:gcc46
-#}
+variant gcc46 conflicts gcc44 gcc45 description {Compile using MacPorts gcc 4.6} {
+    configure.compiler      macports-gcc-4.6
+    depends_lib-append      port:gcc46
+}
 
 # Build issues. 
 # variant kerberos5 description {Builds port with kerberos5 support} {